textures/skies/sd_threehands_etc
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 66 4
	q3map_sunExt 0.3 0.3 0.45 40 40 55 1 16
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}





levelshots/winterbase_esc_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/winterbase_esc_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/winterbase_esc_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/winterbase_esc_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}


textures/winterbase_esc/s_dirt_m03i_2_big
{
            surfaceparm landmine
            surfaceparm snowsteps
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterbase_esc/s_dirt_m03i_2_big.tga
		blendFunc filter
	}
}

textures/snow_sd/bigrock_rounded_faint
{
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc filter
	}
}

textures/winterbase_esc/etc_1
{
     qer_editorimage textures/winterbase_esc/etc_1.tga
    surfaceparm trans 
    surfaceparm nonsolid 
    surfaceparm pointlight
    surfaceparm nomarks
    q3map_surfacelight 500
    nopicmip
    polygonOffset
    {
        map textures/winterbase_esc/etc_1.tga
        alphaFunc GE128
        blendfunc add
        rgbGen vertex
    }
}

textures/winterbase_esc/us_flag
{
    surfaceparm nomarks // added
    qer_editorimage textures/winterbase_esc/us_flag.jpg
    q3map_bounceScale 0.2

    surfaceparm alphashadow
    deformVertexes wave 10 sin 0 2 2 .20
    cull twosided
    {
        map textures/winterbase_esc/us_flag.jpg
        alphafunc ge128
        rgbGen vertex
    }
    {
        map $lightmap
        blendfunc gl_zero gl_one
        rgbgen identity
        depthfunc equal
	}
}
//Terrain//
textures/winterbase_esc/s_dirt_m03i_2_big  // SNOW
{ 
    qer_editorimage textures/winterbase_esc/s_dirt_m03i_2_big.tga
    q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 ) 
    surfaceparm grasssteps
	surfaceparm landmine
    
	{ 
        map textures/winterbase_esc/s_dirt_m03i_2_big.tga
        rgbGen identity
    } 
    { 
        map textures/winterbase_esc/s_dirt_m03i_2_big.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex 
        rgbGen identity 
    } 
    {	
		lightmap $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO 
        rgbGen identity
    } 
}

textures/winterbase_esc/snowroad // SNOWROAD BLEND
{
	qer_editorimage textures/winterbase_esc/snowroad.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm landmine
	surfaceparm grasssteps

	{
		// Primary
		map textures/winterbase_esc/dirt_m03i.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/winterbase_esc/s_dirt_m03i_2_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/winterbase_esc/dirt_m03i //road
{
    qer_editorimage textures/winterbase_esc/dirt_m03i.tga
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	surfaceparm mudsteps
	surfaceparm landmine
	
	{ 
        map textures/winterbase_esc/dirt_m03i.tga
        rgbGen identity 
    } 
    { 
        map textures/winterbase_esc/dirt_m03i.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex 
        rgbGen identity 
    } 
    {     lightmap $lightmap 
        blendFunc GL_DST_COLOR GL_ZERO 
        rgbGen identity 
    } 
	
}
// ======================================================================
// ALPHA BRUSHES
// ======================================================================
textures/winterbase_esc/terrain/alpha_000
{
	qer_editorimage textures/winterbase_esc/terrain/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/winterbase_esc/terrain/alpha_025
{
	qer_editorimage textures/winterbase_esc/terrain/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/winterbase_esc/terrain/alpha_050
{
	qer_editorimage textures/winterbase_esc/terrain/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/winterbase_esc/terrain/alpha_075
{
	qer_editorimage textures/winterbase_esc/terrain/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/winterbase_esc/terrain/alpha_085
{
	qer_editorimage textures/winterbase_esc/terrain/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/winterbase_esc/terrain/alpha_100
{
	qer_editorimage textures/winterbase_esc/terrain/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

textures/warproject/wartextureredxx
{
     qer_editorimage textures/warproject/wartexturered2.jpg 
    surfaceparm nonsolid 
    surfaceparm pointlight
    surfaceparm nomarks
    q3map_surfacelight 500
    nopicmip
    polygonOffset
    {
        map textures/warproject/wartexturered2.jpg
        alphaFunc GE128
        blendfunc add
        rgbGen vertex
    }
}










